Bug 310647

Summary: plasma-desktop crashes on start with basic configuration, adding systemtray wideget.
Product: plasma4 Reporter: Alex G <gforce>
Component: widget-systemtrayAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED DUPLICATE    
Severity: crash CC: b.buschinski, brucew, bugs, b_stader, cfeck, e.m.a.t.i.r.o.v, endymion+kde, haifeng925, jlp, jtamate, krog.az, pereira.alex, poletti.marco, wilderkde
Priority: NOR    
Version: 4.9.80 Beta1   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi

Description Alex G 2012-11-25 14:26:56 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.9.80 (Compiled from sources)
Qt Version: 4.8.3
Operating System: Linux 3.6.6-gentoo x86_64
Distribution: "NAME=Gentoo"

-- Information about the crash:
Running plasma-desktop always results in this crash, even with a minimal (no) configuration. This always happens logging on.

System (kdelibs, kde-workspace, kde-runtime) is built with lastest head straight out of git. Using Qt 4.8.3.

Plasma desktop's debug output running up to the crash is:

Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QGraphicsScene::addItem: item has already been added to this scene
QGraphicsScene::addItem: item has already been added to this scene
plasma-desktop(26643)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
plasma-desktop(26643)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
Object::connect: No such signal Plasma::SvgItem::minimumWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::minimumHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal IconsList_QMLTYPE_19::preferredWidthChanged()
Object::connect: No such signal IconsList_QMLTYPE_19::preferredHeightChanged()
file:///usr/lib64/kde4/imports/org/kde/plasma/components/ListItem.qml:90: TypeError: Result of expression 'listItem.ListView.view' [null] is not an object.
file:///usr/lib64/kde4/imports/org/kde/plasma/components/ListItem.qml:90: TypeError: Result of expression 'listItem.ListView.view' [null] is not an object.
QGraphicsScene::addItem: item has already been added to this scene
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
Object::connect: No such signal QDeclarativeItem::minimumWidthChanged()
Object::connect: No such signal QDeclarativeItem::minimumHeightChanged()
file:///usr/lib64/kde4/imports/org/kde/plasma/components/SectionScroller.qml:112: TypeError: Result of expression 'listView' [null] is not an object.
file:///usr/lib64/kde4/imports/org/kde/plasma/components/SectionScroller.qml:184: ReferenceError: Can't find variable: sectionsRepeater
file:///usr/lib64/kde4/imports/org/kde/plasma/extras/ScrollArea.qml:126: TypeError: Result of expression 'horizontalScrollBar' [null] is not an object.
file:///usr/lib64/kde4/imports/org/kde/plasma/extras/ScrollArea.qml:126: TypeError: Result of expression 'horizontalScrollBar' [null] is not an object.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
QGraphicsScene::addItem: item has already been added to this scene
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_57: Possible anchor loop detected on fill.
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit
sock_file=/home/alex/.kde4/socket-europa/kdeinit4__0
KCrash: Application 'plasma-desktop' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/alex/.kde4/socket-europa/kdeinit4__0
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f0e1e6067c0 (LWP 26643))]

Thread 3 (Thread 0x7f0e164a3700 (LWP 26644)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:164
#1  0x00007f0e31220334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f0e3150f100 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f0e31220369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f0e3151d1d4 <QTWTF::pageheap_memory+57556>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f0e3403cea7 in start_thread (arg=0x7f0e164a3700) at pthread_create.c:308
#4  0x00007f0e378a00ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 2 (Thread 0x7f0e0cf55700 (LWP 26645)):
#0  0x00007f0e3403f059 in __GI___pthread_mutex_lock (mutex=0x14a4700) at pthread_mutex_lock.c:95
#1  0x00007f0e2b18c061 in g_mutex_lock (mutex=<optimized out>) at gthread-posix.c:210
#2  0x00007f0e2b14f474 in g_main_context_query (context=0x14a48c0, max_priority=2147483647, timeout=0x7f0e0cf54c4c, fds=0x14b10a0, n_fds=2) at gmain.c:3053
#3  0x00007f0e2b14fa6a in g_main_context_iterate (dispatch=1, block=1, context=0x14a48c0, self=<optimized out>) at gmain.c:3272
#4  g_main_context_iterate (context=0x14a48c0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3227
#5  0x00007f0e2b14fc24 in g_main_context_iteration (context=0x14a48c0, may_block=1) at gmain.c:3351
#6  0x00007f0e344018b6 in QEventDispatcherGlib::processEvents (this=0x1451210, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f0e343d1b22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f0e343d1dd5 in QEventLoop::exec (this=0x7f0e0cf54d60, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f0e342cde28 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f0e343b0988 in QInotifyFileSystemWatcherEngine::run (this=0x14148a0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f0e342d04e6 in QThreadPrivate::start (arg=0x14148a0) at thread/qthread_unix.cpp:338
#12 0x00007f0e3403cea7 in start_thread (arg=0x7f0e0cf55700) at pthread_create.c:308
#13 0x00007f0e378a00ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 1 (Thread 0x7f0e1e6067c0 (LWP 26643)):
[KCrash Handler]
#6  QDeclarativeVMEMetaObject::metaCall (this=0xf0b490, c=QMetaObject::WriteProperty, _id=32, a=0x7fffd91d9cc8) at qml/qdeclarativevmemetaobject.cpp:429
#7  0x00007f0e342b9379 in QPropertyAnimationPrivate::updateProperty (this=0xf08260, newValue=...) at animation/qpropertyanimation.cpp:139
#8  0x00007f0e342b6aa0 in QVariantAnimationPrivate::setCurrentValueForProgress (this=0xf08260, progress=<optimized out>) at animation/qvariantanimation.cpp:293
#9  0x00007f0e342b6ce6 in QVariantAnimationPrivate::recalculateCurrentInterval (this=0xf08260, force=<optimized out>) at animation/qvariantanimation.cpp:278
#10 0x00007f0e342b9d26 in QPropertyAnimation::updateState (this=0x1a5de10, newState=<optimized out>, oldState=<optimized out>) at animation/qpropertyanimation.cpp:285
#11 0x00007f0e342b4be6 in QAbstractAnimationPrivate::setState (this=0xf08260, newState=QAbstractAnimation::Running) at animation/qabstractanimation.cpp:569
#12 0x00007f0e374773a3 in Plasma::ItemBackground::itemChange (this=0xf07890, change=<optimized out>, value=...) at /usr/src/debug/kde-base/kdelibs-9999/kdelibs-9999/plasma/widgets/itembackground.cpp:255
#13 0x00007f0e33b50752 in QGraphicsScenePrivate::_q_polishItems (this=0x70f400) at graphicsview/qgraphicsscene.cpp:456
#14 0x00007f0e33b50d29 in QGraphicsScene::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:106
#15 0x00007f0e343e7f26 in QObject::event (this=0x748cf0, e=<optimized out>) at kernel/qobject.cpp:1195
#16 0x00007f0e33b58050 in QGraphicsScene::event (this=0x748cf0, event=0xf8d610) at graphicsview/qgraphicsscene.cpp:3565
#17 0x00007f0e3355af94 in QApplicationPrivate::notify_helper (this=0x6b0a30, receiver=0x748cf0, e=0xf8d610) at kernel/qapplication.cpp:4557
#18 0x00007f0e3355f5bf in QApplication::notify (this=<optimized out>, receiver=0x748cf0, e=0xf8d610) at kernel/qapplication.cpp:4418
#19 0x00007f0e350fa636 in KApplication::notify (this=0x6a3cc0, receiver=0x748cf0, event=0xf8d610) at /usr/src/debug/kde-base/kdelibs-9999/kdelibs-9999/kdeui/kernel/kapplication.cpp:311
#20 0x00007f0e343d2d8b in QCoreApplication::notifyInternal (this=0x6a3cc0, receiver=0x748cf0, event=0xf8d610) at kernel/qcoreapplication.cpp:915
#21 0x00007f0e343d62b7 in sendEvent (event=0xf8d610, receiver=0x748cf0) at ../../src/corelib/kernel/qcoreapplication.h:231
#22 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x602210) at kernel/qcoreapplication.cpp:1539
#23 0x00007f0e344016c3 in sendPostedEvents () at ../../src/corelib/kernel/qcoreapplication.h:236
#24 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#25 0x00007f0e2b14f813 in g_main_dispatch (context=0x6b4000) at gmain.c:2715
#26 g_main_context_dispatch (context=0x6b4000) at gmain.c:3219
#27 0x00007f0e2b14fb60 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x6b4000, self=<optimized out>) at gmain.c:3290
#28 g_main_context_iterate (context=0x6b4000, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3227
#29 0x00007f0e2b14fc24 in g_main_context_iteration (context=0x6b4000, may_block=1) at gmain.c:3351
#30 0x00007f0e3440185f in QEventDispatcherGlib::processEvents (this=0x603be0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#31 0x00007f0e335fe85e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#32 0x00007f0e343d1b22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#33 0x00007f0e343d1dd5 in QEventLoop::exec (this=0x7fffd91dacb0, flags=...) at kernel/qeventloop.cpp:204
#34 0x00007f0e343d675b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#35 0x00007f0e37b9e08f in kdemain (argc=1, argv=0x7fffd91db0a8) at /usr/src/debug/kde-base/plasma-workspace-9999/plasma-workspace-9999/plasma/desktop/shell/main.cpp:126
#36 0x00007f0e377d991d in __libc_start_main (main=0x4007b0 <main(int, char**)>, argc=1, ubp_av=0x7fffd91db0a8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffd91db098) at libc-start.c:225
#37 0x00000000004007e1 in _start ()

Reported using DrKonqi
Comment 1 Jure Repinc 2012-11-28 12:29:31 UTC
I can confirm this crash. Happens exactly the same here.
Comment 2 Alex G 2012-11-28 13:51:58 UTC
Starting with a completely empty Panel I progressively add Widgets.

Most widgets work (launchers, clocks, notifiers, monitors) fine, but when I add the systemtray widget the plasma-desktop crashes immediately.
Comment 3 Alex G 2012-11-29 13:53:52 UTC
Since kde-runtime and kde-workspace are undergoing quite active development, this issue might get resolved in due course but, for the sake of completeness, here's the debug output when adding the systemtray to the panel which causes the crash...

plasma-desktop(26840)/plasma StatusNotifierItemEngine::registerWatcher: service appeared "org.kde.StatusNotifierWatcher"                                                                             
kwalletmanager(16087)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                               
bluedevilmonolithic(15670)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                          
kontact(15891)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                      
knotes(15759)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                       
klipper(15936)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                      
akonaditray(15756)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                  
kgpg(15766)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                         
nepomukcontroller(15779)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                            
korgac(15930)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                       
knemo(15980)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                        
kmix(15769)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                         
er                                                                                                                                                                                                   
mo(15980)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher                                                           
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/plasma SystemTray::DBusSystemTrayTask::DBusSystemTrayTask:                                                                                                                     
plasma-desktop(26840)/libplasma Plasma::DeclarativeWidgetPrivate::finishExecute: Execution of QML done!                                                                                              
QGraphicsScene::addItem: item has already been added to this scene                                                                                                                                   
plasma-desktop(26840)/plasma SystemTray::PlasmoidProtocol::addApplet: Registering task with the manager "org.kde.networkmanagement"                                                                  
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09Private::NMNetworkManagerNm09Private: org.freedesktop.NetworkManager                                                                
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09::NMNetworkManagerNm09: Device list                                                                                                 
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09::NMNetworkManagerNm09:    "/org/freedesktop/NetworkManager/Devices/0"                                                              
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09::NMNetworkManagerNm09: Active connections:                                                                                         
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09::NMNetworkManagerNm09:    "/org/freedesktop/NetworkManager/ActiveConnection/0"                                                     
plasma-desktop(26840) Solid::Control::ManagerBaseNm09Private::loadBackend: Backend loaded:  "NetworkManager 0.9"
plasma-desktop(26840)/Solid (NetworkManager) NMNetworkManagerNm09::createNetworkInterface:
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
plasma-desktop(26840)/plasma SystemTray::Manager::addTask: "Network Management" ( "org.kde.networkmanagement" )
plasma-desktop(26840) NMPopup::init: Adding interfaces initially
plasma-desktop(26840) NMPopup::updateHasWireless: After chckboxn true
plasma-desktop(26840) NMPopup::updateHasWireless: no ifaces
plasma-desktop(26840) ActivatableListWidget::setHasWireless: ++++++++++++++ false
plasma-desktop(26840) NMPopup::init: Network Interface: "eth0" "r8169" 0
plasma-desktop(26840)/Network Management (internals) KNetworkManagerServicePrefs::instance: KNetworkManagerServicePrefs::instance called after the first use - ignoring
plasma-desktop(26840) NMPopup::showMore: "Show More..."
plasma-desktop(26840) NMPopup::readConfig:
plasma-desktop(26840) NMPopup::networkingEnabledToggled: Wireless hardware enabled == true
plasma-desktop(26840) NMPopup::updateHasWireless: After chckboxn true
plasma-desktop(26840) NMPopup::updateHasWireless: no ifaces
plasma-desktop(26840) ActivatableListWidget::setHasWireless: ++++++++++++++ false
plasma-desktop(26840)/Network Management (internals) KNetworkManagerServicePrefs::instance: KNetworkManagerServicePrefs::instance called after the first use - ignoring
plasma-desktop(26840)/libplasma Plasma::Corona::addOffscreenWidget: widget is already an offscreen widget!
plasma-desktop(26840)/plasma SystemTray::PlasmoidProtocol::addApplet: Registering task with the manager "notifier"
plasma-desktop(26840)/libplasma Plasma::PluginLoader::loadApplet: we have a script using the "declarativeappletscript" API
plasma-desktop(26840)/plasma SystemTray::Manager::addTask: "Device Notifier" ( "notifier" )
plasma-desktop(26840)/libplasma Plasma::AppletPrivate::setupScriptSupport: setting up script support, package is in "/usr/share/apps/plasma/plasmoids/notifier/" which is a "Plasmoid" package , main script is "/usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml"
plasma-desktop(26840)/libplasma Plasma::Corona::addOffscreenWidget: widget is already an offscreen widget!
plasma-desktop(26840)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
plasma-desktop(26840)/plasma SystemTray::PlasmoidProtocol::addApplet: Registering task with the manager "org.kde.notifications"
plasma-desktop(26840)/libplasma Plasma::PluginLoader::loadApplet: we have a script using the "declarativeappletscript" API
plasma-desktop(26840)/plasma SystemTray::Manager::addTask: "Notifications" ( "org.kde.notifications" )
plasma-desktop(26840)/libplasma Plasma::AppletPrivate::setupScriptSupport: setting up script support, package is in "/usr/share/apps/plasma/plasmoids/org.kde.notifications/" which is a "Plasmoid" package , main script is "/usr/share/apps/plasma/plasmoids/org.kde.notifications/contents/ui/main.qml"
plasma-desktop(26840) ScriptEnv::importExtensions: required extensions are ("LaunchApp")
plasma-desktop(26840) ScriptEnv::importBuiltinExtension: "launchapp"
plasma-desktop(26840)/libplasma Plasma::Corona::addOffscreenWidget: widget is already an offscreen widget!
plasma-desktop(26840)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
Object::connect: No such signal Plasma::SvgItem::minimumWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::minimumHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredWidthChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredHeightChanged()
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal IconsList_QMLTYPE_156::preferredWidthChanged()
Object::connect: No such signal IconsList_QMLTYPE_156::preferredHeightChanged()
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit
unnamed app(26862)/plasma kdemain: !!{} STARTUP TIME 49621088 START (line: 51 )
KCrash: Application 'plasma-desktop' crashing...
Comment 4 Jaime Torres 2012-12-01 12:06:13 UTC
Created attachment 75564 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.9.90 using Qt 4.8.4

- What I was doing when the application crashed:

starting the session. It also happens if started from a konsole.

Poart of the stdout output before the crash:

static bool QDeclarativeMetaType::isModule(const QByteArray&, int, int) Qt 4.7 import detected; please note that Qt 4.7 is directly reusable as QtQuick 1.x with no code changes. Continuing, but startup time will be slower. 
Object::connect: No such signal Plasma::SvgItem::minimumWidthChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:61
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::minimumHeightChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:62
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumWidthChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:66
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::maximumHeightChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:67
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredWidthChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:71
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
Object::connect: No such signal Plasma::SvgItem::preferredHeightChanged() in /g/kdegit/kde-runtime/plasma/declarativeimports/core/declarativeitemcontainer.cpp:72
Object::connect:  (sender name:   'Original Item')
Object::connect:  (receiver name: 'DIContainer')
KCrash: Attempting to start /opt/kde4/bin/plasma-desktop from kdeinit

-- Backtrace (Reduced):
#6  QDeclarativeVMEMetaObject::metaCall (this=0x2a32880, c=QMetaObject::WriteProperty, _id=32, a=0x7fffa013a278) at /g/kdegit/qt/src/declarative/qml/qdeclarativevmemetaobject.cpp:429
#7  0x00007f59e5e3efe9 in updateProperty (newValue=..., this=0x258b400) at /g/kdegit/qt/src/corelib/animation/qpropertyanimation.cpp:139
#8  QPropertyAnimationPrivate::updateProperty (this=0x258b400, newValue=...) at /g/kdegit/qt/src/corelib/animation/qpropertyanimation.cpp:126
#9  0x00007f59e5e3c3c5 in QVariantAnimationPrivate::setCurrentValueForProgress (this=this@entry=0x258b400, progress=progress@entry=0) at /g/kdegit/qt/src/corelib/animation/qvariantanimation.cpp:294
#10 0x00007f59e5e3c792 in QVariantAnimationPrivate::recalculateCurrentInterval (this=0x258b400, force=<optimized out>) at /g/kdegit/qt/src/corelib/animation/qvariantanimation.cpp:279
Comment 5 Alex G 2012-12-02 17:40:50 UTC
With Qt 4.8.4 and lastest build, plasma-desktop starts no problem and with all widgets and system tray.  

Still seeing some QML related errors logged to .xsession-errors and  Object::connect: No such signal/slot messages. 

Bit of a mystery what was causing the previous crash but, with rebuilt Qt-4.8.4 and kdelibs from Git, it's resolved.
Comment 6 Janek Bevendorff 2012-12-07 14:08:07 UTC
*** Bug 311256 has been marked as a duplicate of this bug. ***
Comment 7 Janek Bevendorff 2012-12-07 14:08:36 UTC
*** Bug 311169 has been marked as a duplicate of this bug. ***
Comment 8 Boerny 2012-12-19 11:26:57 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.9.90
Qt Version: 4.8.3
Operating System: Linux 3.5.0-21-generic x86_64
Distribution: Ubuntu 12.10
When i start plasma-desktop from console I get following error. Looks like TabButton is causing the trouble. When I remove the package plasma-addons plasma-desktop starts normally.

//Console output when startin plasma-desktop
$plasma-desktop 
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
QDBusObjectPath: invalid path ""
## Loading catalog liblancelot-datamodels 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250): ""geometry" - conversion of "10041,-6,35,0" to QRectF failed" 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
Object::connect: No such slot Newspaper::appletActivated(Plasma::Applet *)                                                                                       
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
plasma-desktop(12250)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability                                        
X Error: BadValue (integer parameter out of range for operation) 2                                                                                               
  Major opcode: 53 (X_CreatePixmap)                                                                                                                              
  Resource id:  0x0                                                                                                                                              
X Error: BadDrawable (invalid Pixmap or Window parameter) 9                                                                                                      
  Major opcode: 14 (X_GetGeometry)                                                                                                                               
  Resource id:  0x8c0009d                                                                                                                                        
X Error: BadWindow (invalid Window parameter) 3                                                                                                                  
  Major opcode: 3 (X_GetWindowAttributes)                                                                                                                        
  Resource id:  0x34ece90                                                                                                                                        
X Error: BadDrawable (invalid Pixmap or Window parameter) 9                                                                                                      
  Extension:    139 (RENDER)                                                                                                                                     
  Minor opcode: 4 (RenderCreatePicture)                                                                                                                          
  Resource id:  0x8c0009d                                                                                                                                        
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c0009d
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x8c0009f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x34fc640
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x8c0009f
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c0009f
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x8c000a1
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x34fc640
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x8c000a1
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c000a1
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x8c000a3
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x34fc640
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x8c000a3
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c000a3
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x8c000a5
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x30d5760
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x8c000a5
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c000a5
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x8c000a7
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x30d5760
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x8c000a7
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x8c000a7
QGraphicsScene::addItem: item has already been added to this scene
veromix icon installed
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:141: Unable to assign [undefined] to QImage image
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:80: Unable to assign [undefined] to QImage image
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:82: Unable to assign [undefined] to bool isLeftToRight
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:83: Unable to assign [undefined] to bool isTopToBottom
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:72: Unable to assign [undefined] to QString mainText
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:105: TypeError: Result of expression 'currentTab' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:102: TypeError: Result of expression 'currentTab' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:104: TypeError: Result of expression 'currentTab' [null] is not an object.
QGraphicsScene::addItem: item has already been added to this scene
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/main.qml:101:24: QML TabButton: Bei der für die Eigenschaft âÂÂimplicitHeightâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:86: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
onCurrentTabChanged:dilbert
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:169:9: QML QDeclarativeItem_QML_23: Bei der für die Eigenschaft âÂÂwidthâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:169:9: QML QDeclarativeItem_QML_23: Bei der für die Eigenschaft âÂÂwidthâ angegebenen Bindung wurde eine Endlosschleife festgestellt
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/main.qml:101:24: QML TabButton: Bei der für die Eigenschaft âÂÂimplicitHeightâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:86: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/main.qml:101:24: QML TabButton: Bei der für die Eigenschaft âÂÂimplicitHeightâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:86: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
Object::connect: No such slot IconItem::implicitWidthChanged()
Object::connect:  (sender name:   'plasma-desktop')
Object::connect: No such slot IconItem::implicitHeightChanged()
Object::connect:  (sender name:   'plasma-desktop')
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/main.qml:101:24: QML TabButton: Bei der für die Eigenschaft âÂÂimplicitHeightâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:116:5: QML QObject_QML_26: Bei der für die Eigenschaft âÂÂportraitâ angegebenen Bindung wurde eine Endlosschleife festgestellt
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:86: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit
sock_file=/home/bernhard/.kde/socket-Enzian/kdeinit4__0
plasma-desktop(12249): Communication problem with  "plasma-desktop" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" " 

KCrash: Application 'plasma-desktop' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/bernhard/.kde/socket-Enzian/kdeinit4__0
bernhard@Enzian:~$ QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
Comment 9 Jacopo De Simoi 2012-12-20 15:36:39 UTC
Mmh, I updated Qt to 4.8.4 but I still get the same crash.
Comment 10 islet 2012-12-20 22:02:52 UTC
I also updated Qt to 4.8.4 and still got the same crash
Comment 11 Jaime Torres 2012-12-21 08:39:41 UTC
It does not crash for me when I use a compiled Qt using -Os or -O0 (did not try with -O1).
With -O2, crash.
And with -O0, I get slowness because non optimized Qt regular expressions.
Comment 12 Vincent-Xavier JUMEL 2012-12-29 21:02:55 UTC
Created attachment 76084 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.9.95 using Qt 4.8.4

- Custom settings of the application:
~ $ plasmapkg -l
plasmapkg(21222)/libplasma Plasma::PackageStructurePrivate::createPackageMetadata: No metadata file in the package, expected it at: "/home/local/vincentxavier//metadata.desktop" 
BbalL
MolmassCalculator
accountskroogoid
activitybar
adviceskroogoid
akonotes_list
akonotes_note
albums
amarok_containment_vertical
bankskroogoid
barapplet
battery
battery
binaryclock
blackboard
bookmarks
bubblemon
calculator
calculator
calendar
charselect
clock
comic
concentrationCalculator
currentappcontrol
currenttrack
desktop
desktop
desktopDashboard
desktopDashboard
dict
digital-clock
emerging
eyes
fifteenPuzzle
fileWatcher
fileskroogoid
flights
folderview
folderview
frame
fuzzy-clock
gasCalculator
highlightedoperationskroogoid
icon
icontasks
incomingmsg
info
internal:extender
kalgebraplasmoid
katesession
kdeobservatory
kdevelopsessions
kdevelopsessions
keyboard_applet
kgetpiechart
kimpanel
knowledgebase
kolourpicker
konqprofiles
konqprofiles
konsoleprofiles
konsoleprofiles
ktorrent
ktp_contact
ktp_presence
labels
lancelot_launcher
lancelot_part
launcher
leavenote
life
lockout
luna
lyrics
magnifique
mediaplayer
netpanel
netpanel
news
newspaper
newspaper
notifier
notifier
nowplaying
nuclearCalculator
opendesktop
opendesktop_activities
org.kde.graphsplasmoid
org.kde.griddesktop
org.kde.groupingdesktop
org.kde.groupingpanel
org.kde.ktp-chatplasmoid
org.kde.ktp.contactlist
org.kde.networkmanagement
org.kde.notifications
org.kde.notifications
org.kde.showActivityManager
pager
panel
panel
panelspacer_internal
paste
pastebin
photos
plasma_applet_cwp
plasma_applet_didyouknow_kalzium
plasma_applet_emergelog
plasma_applet_events
plasma_applet_notes
plasma_applet_parley
plasma_applet_photo_of_the_day
plasma_applet_rsibreak
plasma_applet_rtm
plasma_kdev_projectfileelement
plasma_widget_incomeexpenditure
plasma_widget_simulation
plasmaboard
playwolf
previewer
publictransport
qalculate
quicklaunch
reportskroogoid
rssnow
sal
sal
saverdesktop
saverdesktop
scheduledoperationskroogoid
searchbox
showdashboard
showdesktop
similarArtists
simplelauncher
simpleweatherforecast
sm_cpu
sm_hdd
sm_hdd_activity
sm_hwinfo
sm_net
sm_ram
sm_temperature
smooth-tasks
spellcheck
system-monitor_applet
systemloadviewer
systemtray
tabs
tasks
timer
trash
twitter
unitconverter
unitskroogoid
upcomingEvents
weather
weatherstation
webbrowser
webslice
wikipedia
windowlist
worldclock
xbar
yaWP

-- Backtrace (Reduced):
#6  QDeclarativeVMEMetaObject::metaCall (this=0x14ac330, c=QMetaObject::WriteProperty, _id=32, a=0x7fffa25d2a88) at qml/qdeclarativevmemetaobject.cpp:429
#7  0x00007f289fd186a9 in QPropertyAnimationPrivate::updateProperty (this=0x14abf80, newValue=...) at animation/qpropertyanimation.cpp:139
#8  0x00007f289fd15b05 in QVariantAnimationPrivate::setCurrentValueForProgress (this=this@entry=0x14abf80, progress=progress@entry=0) at animation/qvariantanimation.cpp:294
#9  0x00007f289fd15ed2 in QVariantAnimationPrivate::recalculateCurrentInterval (this=0x14abf80, force=<optimized out>) at animation/qvariantanimation.cpp:279
#10 0x00007f289fd18e29 in QPropertyAnimation::updateState (this=0x13f8780, newState=<optimized out>, oldState=QAbstractAnimation::Stopped) at animation/qpropertyanimation.cpp:285
Comment 13 Vincent-Xavier JUMEL 2012-12-30 00:26:22 UTC
(In reply to comment #11)
> It does not crash for me when I use a compiled Qt using -Os or -O0 (did not
> try with -O1).
> With -O2, crash.
> And with -O0, I get slowness because non optimized Qt regular expressions.

Tested with -Os, it seems to work for me.
Comment 14 islet 2012-12-30 11:29:16 UTC
It also worked on my system if Qt 4.8.4 is compiled with -Os
Comment 15 Bernd Buschinski 2013-01-22 23:06:59 UTC
in short:
it also works here if Qt is compiled with -Os

in long:
I tried Qt compiled with and without c++11 features, makes no difference
also  tried Qt compiled with and without -fno-builtin features, makes no difference

then I only compiled
qt-script and qt-declarative with -Os, still didn't work
now also qt-core qt-gui and qt-opengl with -Os and finally no crash!

So I guess other distros compile their Qt with -Os instead of -O2?
I tried asking fedora... but in short they wouldn't tell me... great...

Anyway as -Os is almost -O2...from the gcc manpage:
"-Os disables the following optimization flags: -falign-functions -falign-jumps -falign-loops -falign-labels -freorder-blocks -freorder-blocks-and-partition -fprefetch-loop-arrays -ftree-vect-loop-version"
So I guess it must be one of them, if someone wants to further dig, have fun
Comment 16 Marco Poletti 2013-01-23 08:47:07 UTC
FWIW, openSUSE compiles qt with -O2.

https://build.opensuse.org/package/rawlog?arch=x86_64&package=libqt4&project=openSUSE%3AFactory&repository=standard

Here you can see/download the patches that they apply (make sure to use Next or set it to show up to 100 entries):

https://build.opensuse.org/package/show?package=libqt4&project=openSUSE%3AFactory
Comment 17 Christoph Feck 2013-01-29 13:14:52 UTC

*** This bug has been marked as a duplicate of bug 311751 ***
Comment 18 Andrea Z. 2013-02-07 14:10:30 UTC
same problem here on gentoo with stable kde 4.10 and "solved" building qt-core (just that!) with -Os
Comment 19 Bruce Wolfe 2013-02-08 20:16:08 UTC
Equally, get the same crash but have not (re)compiled Qt. This needs to be fixed promptly for out-of-the-box installations. It is a showstopper that causes my staff to cringe when they see me boot up my machine. Not a very good "sales" pitch.

Agreed the device notifier in the system tray is one of the culprits. But equally other plasmoids that have been stable in the past three versions are now not. Let's not have to trouble all the wonderful work of these developers and try to get this one (re)solved in the core.

Here is my backtrace just restarting plasma-desktop from the command line:
brucew@HINGE11:~$ plasma-desktop
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
QDBusObjectPath: invalid path ""
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
plasma-desktop(3807)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x240012d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x259e000
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x240012d
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x240012d
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x240012f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x400cd20
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x240012f
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x240012f
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x2400131
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x400cd20
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x2400131
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x2400131
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x2400133
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x400cd20
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x2400133
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x2400133
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x2400135
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x3f02b90
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x2400135
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x2400135
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x2400137
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x3f02b90
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x2400137
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x2400137
plasma-desktop(3807)/libplasma Plasma::PackagePrivate::isValid: Could not find required file mainscript 
QGraphicsLinearLayout::insertItem: cannot insert null item
QGraphicsLinearLayout::insertItem: cannot insert null item
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicBottomInfo.qml:88: TypeError: Result of expression 'comicData.websiteHost' [undefined] is not an object.
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/main.qml:146: TypeError: Result of expression 'comicApplet.comicData.stripTitle' [undefined] is not an object.
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:141: Unable to assign [undefined] to QImage image
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:80: Unable to assign [undefined] to QImage image
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:82: Unable to assign [undefined] to bool isLeftToRight
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:83: Unable to assign [undefined] to bool isTopToBottom
file:///usr/share/kde4/apps/plasma/packages/org.kde.comic/contents/ui/ComicCentralView.qml:72: Unable to assign [undefined] to QString mainText
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:97: TypeError: Result of expression 'currentTab' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:94: TypeError: Result of expression 'currentTab' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:96: TypeError: Result of expression 'currentTab' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
onCurrentTabChanged:dilbert
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:161:9: QML QDeclarativeItem_QML_36: Binding loop detected for property "width"
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:161:9: QML QDeclarativeItem_QML_36: Binding loop detected for property "width"
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabButton.qml:63: TypeError: Result of expression 'internal.tabBar' [null] is not an object.
looking for XML source files and trying to load them...
successfully parsed custom.xml (3 services).
successfully parsed less-common.xml (4 services).
successfully parsed tools-settings.xml (5 services).
successfully parsed daemons-common.xml (16 services).
couldn't create image from  "" 
couldn't create image from  "" 
file:///usr/lib/kde4/imports/org/kde/plasma/components/TabBar.qml:177:5: QML Row: Binding loop detected for property "visible"
brucew@HINGE11:~$ Kross: "Loading the interpreter library for qtscript" 
Kross: "Successfully loaded Interpreter instance from library." 
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::begin: Paint device returned engine == 0, type: 2
file:///usr/lib/kde4/imports/org/kde/plasma/components/SectionScroller.qml:103: TypeError: Result of expression 'listView' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/components/SectionScroller.qml:175: ReferenceError: Can't find variable: sectionsRepeater
file:///usr/lib/kde4/imports/org/kde/plasma/extras/ScrollArea.qml:120: TypeError: Result of expression 'horizontalScrollBar' [null] is not an object.
file:///usr/lib/kde4/imports/org/kde/plasma/extras/ScrollArea.qml:120: TypeError: Result of expression 'horizontalScrollBar' [null] is not an object.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
file:///usr/share/kde4/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:217:13: QML QDeclarativeListView_QML_150: Possible anchor loop detected on fill.
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002a3
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002a3
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002a5
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x1f6a21f0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002a5
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002a7
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002a7
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002a9
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x1f6a21f0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002a9
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002ab
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002ab
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002ad
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002ad
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002b1
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002b1
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002b1
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002b3
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x1f6a21f0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002b3
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002b3
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002b5
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002b5
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002b5
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002b7
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x1f6a21f0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002b7
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002b7
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002b9
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x1f6a21f0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002b9
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002b9
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 53 (X_CreatePixmap)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 14 (X_GetGeometry)
  Resource id:  0x24002bb
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0xad972fc5
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    139 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id:  0x24002bb
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x24002bb
QGraphicsGridLayout::itemAt: invalid row, column 1, 0
plasma-desktop(3807)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application 
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit
sock_file=/home/brucew/.kde/socket-HINGE11/kdeinit4__0
KCrash: Application 'plasma-desktop' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/brucew/.kde/socket-HINGE11/kdeinit4__0